package it.uniroma2.sag.assignment.ir.lucene.analyzer;

import java.io.Reader;

import org.apache.lucene.analysis.Analyzer;
import org.apache.lucene.analysis.LowerCaseFilter;
import org.apache.lucene.analysis.PorterStemFilter;
import org.apache.lucene.analysis.TokenStream;
import org.apache.lucene.analysis.standard.StandardFilter;
import org.apache.lucene.analysis.standard.StandardTokenizer;
import org.apache.lucene.util.Version;

public class DummyCranfieldAnalyzer extends Analyzer {

	@Override
	public TokenStream tokenStream(String arg0, Reader reader) {
		TokenStream result = new StandardTokenizer(Version.LUCENE_36, reader);
		result = new StandardFilter(result);
		result = new LowerCaseFilter(result);
		result = new PorterStemFilter(result);
		return result;

	}

}
